-- phpMyAdmin SQL Dump
-- version 4.0.10deb1
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Окт 02 2016 г., 23:53
-- Версия сервера: 5.5.52-0ubuntu0.14.04.1-log
-- Версия PHP: 5.6.23-1+deprecated+dontuse+deb.sury.org~trusty+1

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- База данных: `fiera_final`
--

-- --------------------------------------------------------

--
-- Администрирование заметок
--

INSERT INTO `all_accesses` ( `type` , `name` )
VALUES (
'notes_edit', 'Заметки - Редактирование'), (
'notes_delete', 'Заметки - удаление');
INSERT INTO `menu` (`type`,`name`,`url`,`counter`,`pos`,`icon`)
VALUES ('link', 'Заметки', '/pages/notes/', '/pages/notes/count.php', '0', 'dnev.png');
INSERT INTO `user_menu` (`type`,`name`,`type_set`,`url`,`counter`,`icon`)
VALUES ('inc','Мои дневники','index','notes.php','3','dnev.png');

-- --------------------------------------------------------

--
-- Структура таблицы `notes`
--

CREATE TABLE IF NOT EXISTS `notes` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `msg` text,
  `time` int(11) NOT NULL,
  `name` varchar(32) DEFAULT NULL,
  `private` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `tags` varchar(64) NOT NULL,
  `id_user` int(11) DEFAULT '0',
  `private_komm` tinyint(1) unsigned DEFAULT '0',
  `cnt` int(11) DEFAULT '0',
  `id_dir` int(11) unsigned DEFAULT '0',
  `type` int(1) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `time` (`time`),
  KEY `msg` (`msg`(255)),
  KEY `name` (`name`),
  KEY `id_dir` (`id_dir`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COMMENT='Заметки' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `notes_count`
--

CREATE TABLE IF NOT EXISTS `notes_count` (
  `id_notes` int(11) unsigned NOT NULL,
  `id_user` int(11) NOT NULL,
  UNIQUE KEY `id_notes` (`id_notes`,`id_user`),
  KEY `id_notes_2` (`id_notes`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Просмотры заметок';

-- --------------------------------------------------------

--
-- Структура таблицы `notes_dir`
--

CREATE TABLE IF NOT EXISTS `notes_dir` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `msg` varchar(256) NOT NULL DEFAULT '',
  `name` varchar(32) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Категории заметок' AUTO_INCREMENT=1 ;

--
-- Дамп таблицы `notes_dir`
--

INSERT INTO `notes_dir` (
`id` ,
`msg` ,
`name`
)
VALUES (
'1', 'Заметки на разные темы', 'Разное'
);

-- --------------------------------------------------------

--
-- Структура таблицы `notes_komm`
--

CREATE TABLE IF NOT EXISTS `notes_komm` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `parent_id` int(11) DEFAULT NULL,
  `msg` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL COMMENT 'Комментарий к заметке',
  `id_user` int(11) unsigned NOT NULL,
  `id_notes` int(11) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `id_notes` (`id_notes`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Комментарии к заметкам' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `notes_like`
--

CREATE TABLE IF NOT EXISTS `notes_like` (
  `id_notes` int(11) unsigned NOT NULL,
  `id_user` int(11) NOT NULL,
  `like` int(11) DEFAULT '0',
  UNIQUE KEY `id_notes` (`id_notes`,`id_user`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Кто проголосовал';

-- --------------------------------------------------------

--
-- Структура таблицы `notes_mark`
--

CREATE TABLE IF NOT EXISTS `notes_mark` (
  `id_user` int(11) NOT NULL,
  `id_list` int(11) unsigned NOT NULL,
  `time` int(11) NOT NULL,
  `is_read` int(1) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `id_user` (`id_user`,`id_list`),
  KEY `FK_id_list` (`id_list`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Закладки в заметках';

--
-- Ограничения внешнего ключа сохраненных таблиц
--

--
-- Ограничения внешнего ключа таблицы `notes`
--
ALTER TABLE `notes`
  ADD CONSTRAINT `FK_notes_dir` FOREIGN KEY (`id_dir`) REFERENCES `notes_dir` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ограничения внешнего ключа таблицы `notes_count`
--
ALTER TABLE `notes_count`
  ADD CONSTRAINT `FK_notes_count` FOREIGN KEY (`id_notes`) REFERENCES `notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ограничения внешнего ключа таблицы `notes_komm`
--
ALTER TABLE `notes_komm`
  ADD CONSTRAINT `FK_id_notes` FOREIGN KEY (`id_notes`) REFERENCES `notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `FK_parent_id` FOREIGN KEY (`parent_id`) REFERENCES `notes_komm` (`id`) ON DELETE SET NULL ON UPDATE CASCADE;

--
-- Ограничения внешнего ключа таблицы `notes_like`
--
ALTER TABLE `notes_like`
  ADD CONSTRAINT `FK_notes_like` FOREIGN KEY (`id_notes`) REFERENCES `notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Ограничения внешнего ключа таблицы `notes_mark`
--
ALTER TABLE `notes_mark`
  ADD CONSTRAINT `FK_notes_mark` FOREIGN KEY (`id_list`) REFERENCES `notes` (`id`) ON DELETE CASCADE ON UPDATE CASCADE;

