<?php

/**
 * @author PHP
 * @copyright 2016
 * @version 1.0.1
 * @name notes(заметки)
 */
if (!defined('H')) {
    define('H', htmlspecialchars($_SERVER['DOCUMENT_ROOT']) . '/');
}
include_once H . 'sys/inc/start.php';
include_once H . 'sys/inc/sess.php';
include_once H . 'sys/inc/settings.php';
include_once H . 'sys/inc/db_connect.php';
include_once H . 'sys/inc/ipua.php';
include_once H . 'sys/inc/fnc.php';
include_once H . 'sys/inc/user.php';

$set['title'] = lang::show('Новый дневник');
include_once H . 'sys/inc/thead.php';
include_once './inc/inc.php';

if (!isset($user)) {
    header("location: index.php?");
}
if (isset($_POST['title']) && isset($_POST['msg'])) {
    if ($user['rating'] >=1 || $user['group_access'] >= 5) {} 
    else {
        if (!isset($_SESSION['captcha']))
            $err[] = lang::show('Ошибка проверочного числа');
        if (!isset($_POST['chislo']))
            $err[] = lang::show('Введите проверочное число');
        elseif ($_POST['chislo'] == null)
            $err[] = lang::show('Введите проверочное число');
        elseif ($_POST['chislo'] != $_SESSION['captcha'])
            $err[] = lang::show('Проверьте правильность ввода проверочного числа');
    }
    if (!isset($err))
    {
        $title  = strip_tags_smart($_POST['title']);
        $msg    = strip_tags_smart($_POST['msg']);
        $intPost = array_map('intval', $_POST);
        $id_dir = $intPost['id_dir'];
        if (isset($_POST['private']))
        {
            $privat = $intPost['private'];
        } else
        {
            $privat = 0;
        }
        if (isset($_POST['private_komm']))
        {
            $privat_komm = $intPost['private_komm'];
        } else
        {
            $privat_komm = 0;
        }
        $type = 0;
        if (strlen2($title) > 32)
        {
            $err = lang::show('Название не может превышать больше') . ' 32 ' . lang::show('символов');
        }
        if (strlen2($title) < 3)
        {
            $err = lang::show('Короткое название');
        }
        if (strlen2($msg) > 2048)
        {
            $err = lang::show('Содержание не может превышать больше') . ' 2048 ' . lang::show('символов');
        }
        if (strlen2($msg) < 2 && $type == 0)
        {
            $err = lang::show('Содержание слишком короткое');
        }
        if (!isset($err))
        {
            mysql_query("
            INSERT INTO `notes` (`time`, `msg`, `name`, `id_user`, `private`, `private_komm`, `id_dir`, `type`) 
            VALUES('" . time() . "', 
            '" . mysql_real_escape_string($msg) . "', 
            '" . mysql_real_escape_string($title) . "', 
            '" . $user['id'] . "', 
            '" . $privat . "', 
            '" . $privat_komm . "', 
            '" . $id_dir . "', 
            '" . $type . "')
            ");
            $st = mysql_insert_id();
/*            
            $q = mysql_query("
            SELECT * FROM `frends` 
            WHERE `user`='" . $user['id'] . "' AND `i`='1'
            ");
            var_dump($q);
            while ($f = mysql_fetch_array($q))
            {
                $a = get_user($f['frend']);
                $lentaSet = mysql_fetch_array(mysql_query("SELECT * FROM `tape_set` WHERE `id_user` = '" .
                    $a['id'] . "' LIMIT 1"));

                if ($f['lenta_notes'] == 1 && $lentaSet['lenta_notes'] == 1)

                    mysql_query("
                    INSERT INTO `tape` (`id_user`,`avtor`, `type`, `time`, `id_file`) 
                    VALUES('" . $a['id'] . "', 
                    '" . $user['id'] . "', 
                    'notes', 
                    '" . time() . "', 
                    '" . $st . "')
                    ");
            }
            mysql_query("OPTIMIZE TABLE `notes`");
*/
            $_SESSION['message'] = lang::show('Дневник успешно создан');
            header('Location: list.php?id=' . $st);
            $_SESSION['captcha'] = null;
            exit;
        }
    }
}
if (isset($_GET['id_dir'])) {
    $id_dir = intval($_GET['id_dir']);
} else {
    $id_dir = 0;
}
title();
err();
aut();


$friends = null;
$span    = null;
if (!table_seek('frends')) {
    $friends = ' disabled="disabled"'; // TODO: Если есть модуль друзей, нужно убрать!
    $span = ' style="text-decoration:line-through;color:grey;"';
}
?>
<div class="guestbook">
<form method="post" name="message" action="add.php">
    <fieldset>
        <legend><?php echo lang::show('Новая заметка');?></legend>
        <label><?php echo lang::show('Название');?>:</label>
        <p><input name="title" size="16" maxlength="32" value="" type="text" /></p>
<?php
if ($set['web'] && is_file(H . 'style/themes/' . $set['set_them'] .
    '/altername_post_form.php'))
{
    include_once H . 'style/themes/' . $set['set_them'] . '/altername_post_form.php';
} else
{
?>
        <label><?php echo lang::show('Сообщение');?>:</label>
<?php
    panel_form::head();
?>
        <textarea name="msg"></textarea>
<?php
    panel_form::foot();
}
?>
        <label><?php echo lang::show('Категория');?>:</label>
        <p><select name="id_dir"><?php
        
$q = query("SELECT * FROM `notes_dir` where `id`>1 ORDER BY `id` DESC");
?>
            <option value="1"<?php echo ($id_dir == 0 ? ' selected="selected"' : null);?>>
<?php 
            echo lang::show('Разное');?></option>
<?php
while ($post = mysql_fetch_assoc($q))
{
?>
            <option value="<?php echo $post['id'];?>"<?php echo ($id_dir == $post['id'] ?
        ' selected="selected"' : null);?>><?php echo htmlspecialchars($post['name']);?></option>
<?php
}
?>
        </select></p>
        <label><?php echo lang::show('Могут смотреть');?>:</label>
        <p><input name="private" type="radio" value="0"  checked="checked"/><?php echo lang::show('Все');?> 
        <span<?php echo $span;?> title="Доступно только после установки модуля - друзья!">    
            <input name="private" type="radio"  value="1"<?php echo $friends;?> /><?php echo lang::show('Друзья');?> 
        </span>
        <input name="private" type="radio"  value="2" /><?php echo lang::show('Только я');?>
        <p><label><?php echo lang::show('Могут комментировать');?>:</label>
        <p><input name="private_komm" type="radio" value="0"  checked="checked"/><?php echo lang::show('Все');?> 
        <span<?php echo $span;?> title="Доступно только после установки модуля - друзья!">
            <input name="private_komm" type="radio"  value="1"<?php echo $friends;?> /><?php echo lang::show('Друзья');?>
        </span> 
        <input name="private_komm" type="radio"  value="2" /><?php echo lang::show('Только я');?></p>
<?php
if ($user['rating'] >= 1 || $user['group_access'] >= 5) {} 
else {
?>
        <img src="/captcha.php?SESS=<?php echo $sess;?>" style="width:100px;height:30px;" title="Для отмены капчи нужно &gt; 1&euro; рейтинга!" alt="*" />
        <span class="dt" style="font-style:oblique;font-size:0.6em;color:grey;">
            Для отмены капчи нужно &gt; 1&euro; рейтинга!<br />Рейниг можно заработать, в форуме, гостевой и т.д.</span>
        <p><input name="chislo" size="5" maxlength="5" value="" type="text" />
<?php
}
?>
        <p><input value="<?php echo lang::show('Создать');?>" type="submit" />
<script type="text/javascript">
  document.write('<input type="button" value="Отмена" onClick=\'location.href="index.php"\'/>');
</script>
        <noscript>&nbsp;&nbsp;<a href="index.php">Отмена</a></noscript></p>
    </fieldset>
</form>
<div class="clear"></div>
</div>
<nav class="third">
    <ul class="gorisontal">
        <li class="msg-li"><a href="index.php" class="activ"><?php echo lang::show('Дневники');?></a></li>
        <li class="msg-li"><a href="dir.php"><?php echo lang::show('Категории');?></a></li>
        <li class="msg-li"><a href="search.php"><?php echo lang::show('Поиск');?></a></li>
    </ul>
</nav>
<?php

include_once H . 'sys/inc/tfoot.php';

?>
