<?php

/**
 * @author PHP
 * @copyright 2016
 * @version 1.0.1
 * @name notes(заметки)
 */
if (!defined('H')) {
    define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
}
include_once H . 'sys/inc/start.php';
include_once H . 'sys/inc/sess.php';
include_once H . 'sys/inc/settings.php';
include_once H . 'sys/inc/db_connect.php';
include_once H . 'sys/inc/ipua.php';
include_once H . 'sys/inc/fnc.php';
include_once H . 'sys/inc/user.php';

$set['title'] = lang::show('Категории');
include_once H . 'sys/inc/thead.php';
include_once './inc/inc.php';


if (isset($user)) { 
    $notes_delete = user_access('notes_delete');
    $notes_edit   = user_access('notes_edit');
}
if (isset($_POST['title']) && $notes_edit)
{
    $title = strip_tags(trim($_POST['title']));
    $msg = strip_tags(trim($_POST['msg']));


    if (strlen2($title) > 32)
    {
        $err = lang::show('Название не может превышать больше') . ' 32 ' . 
        lang::show('символов'); // TODO: The name can not exceed more than... characters
    }
    if (strlen2($title) < 3)
    {
        $err = 'Короткое название'; // TODO: Short title
    }

    if (strlen2($msg) > 2048)
    {
        $err = lang::show('Содержание не может превышать больше') . ' 2048 ' . 
        lang::show('символов'); // TODO: The content can not exceed more than... characters
    }
    if (strlen2($msg) < 2)
    {
        $err = lang::show('Содержание слишком короткое');// TODO: Content is too short
    }

    if (!isset($err))
    {
        mysql_query("
        INSERT INTO `notes_dir` (`msg`, `name`) 
        VALUES('" . mysql_real_escape_string($msg) . "', 
        '" . mysql_real_escape_string($title) . "')
        ");
        $_SESSION['message'] = lang::show('Категория успешно создана');// TODO: Category successfully created
        header("Location: dir.php?" . SID);
        exit;
    }
}

title() . err() . aut();

?>
<nav class="half">
    <ul class="gorisontal">
        <li class="msg-li"><a title="Все заметки" href="index.php" class="activ"><?php echo lang::show('Дневники');?></a></li>
        <li class="msg-li"><a title="Поиск в заметках" href="search.php"><?php echo lang::show('Поиск'); // TODO: Search ?></a></li>
    </ul>
</nav>
<?php

if (isset($_GET['id']))
{
    $id_dir = intval($_GET['id']);
    $cnt = mysql_result(
    mysql_query("
    SELECT COUNT(*) FROM `notes_dir` 
    WHERE `id` = '" . $id_dir . "' "), 0);

if ($cnt == 1)
 {
    if (isset($_GET['sort']) && $_GET['sort'] == 't') {
        $order = 'ORDER BY `time` DESC';
    } else
    if (isset($_GET['sort']) && $_GET['sort'] == 'c') {
        $order = 'ORDER BY `cnt` DESC';
    } else {
        $order = 'ORDER BY `time` DESC';
    }

?>
<nav class="half">
    <ul class="gorisontal">
<?php

if (isset($_GET['sort']) && $_GET['sort'] == 't')
{

?>
            <li class="msg-li"><strong title="Последние заметки"><?php echo lang::show('Новые');?></strong></li>
            <li class="msg-li"><a title="Популярные" href="?id=<?php echo $id_dir;?>&amp;sort=c"><?php echo lang::show('Популярные'); // TODO: Popular ?></a></li>
<?php

 } else
    if (isset($_GET['sort']) && $_GET['sort'] == 'c')
    {

?>
            <li class="msg-li"><a title="Последние заметки" href="?id=<?php echo $id_dir;?>&amp;sort=t"><?php echo lang::show('Новые');?></a></li>
            <li class="msg-li"><strong title="Популярные"><?php echo lang::show('Популярные');?></strong></li>
<?php

    } else {

?>
            <li class="msg-li"><strong title="Последние заметки"><?php echo lang::show('Новые');?></strong></li>
            <li class="msg-li"><a title="Популярные" href="?id=<?php echo $id_dir;?>&amp;sort=c"><?php echo lang::show('Популярные');?></a></li>
<?php

    }

?>
    </ul>
</nav>
<?php

    $k_post = mysql_result(
    mysql_query("
    SELECT COUNT(*) FROM `notes`  
    WHERE `id_dir` = '" . $id_dir . "'
    "), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);
    $start = $set['p_str'] * $page - $set['p_str'];
    $q = mysql_query("
    SELECT * FROM `notes` 
    WHERE `id_dir`='" . $id_dir . "' " . 
    $order . " LIMIT " . $start . ", " . $set['p_str']
    );

    if ($k_post == 0)
    {
?>
<div class="err">
    <?php echo lang::show('Нет записей');?>
</div><?php
    } else {
    while ($post = mysql_fetch_assoc($q))
    {

        $k_n = mysql_result(mysql_query("
        SELECT COUNT(*) FROM `notes` 
        WHERE `id`='" . $post['id'] . "' 
        AND `time`>'" . $ftime . "'
        "), 0);
        if ($k_n != 0) {
            $newCnt = '<span class="radic"></span>';
        } else {
            $newCnt = '';
        }
?>
<div class="menu_s">
    <a href="list.php?id=<?php 
    echo $post['id'];?>&amp;dir=<?php echo $post['id_dir'];?>"><img src="/style/icons/dnev.png" alt="*" />&nbsp;<?php 
    echo htmlspecialchars($post['name']); echo $newCnt;
    ?><span class="dt">(<?php echo vremja($post['time']); ?>)</span></a><?php

?>

</div>
<?php
    }

    if (isset($_GET['sort']))
        $dop = 'sort=' . htmlspecialchars($_GET['sort']) . '&amp;';
    else
        $dop = '';
    if ($k_page > 1) {
        str('?id=' . $id_dir . '&amp;' . $dop, $k_page, $page);
    }
    }        
    if (isset($user))
    {
?>
<nav class="half">
    <ul class="gorisontal">
        <li class="msg-li"><a href="user.php"><?php echo lang::show('Мои дневники'); // TODO: My diaries ?></a></li>
        <li class="msg-li"><a href="add.php?id_dir=<?php echo $id_dir;?>"><?php echo lang::show('Создать дневник');// TODO: Create blog ?></a></li>
    </ul>
</nav>
<?php
    }

    include_once H . 'sys/inc/tfoot.php';
    exit;
}
}
$k_post = mysql_result(query("SELECT COUNT(*) FROM `notes_dir` "), 0);
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0)
{
?>
<div class="err">
    Нет категорий
</div><?php
} else {
$q = query("
SELECT nd.*, COALESCE(n1.cnt, 0) AS allNotes, COALESCE(n2.cnt, 0) AS newNotes 
FROM `notes_dir` nd
LEFT JOIN (
    SELECT id_dir, COUNT(*) cnt FROM notes
    GROUP BY id_dir) n1 
ON nd.id=n1.id_dir
LEFT JOIN (
    SELECT id_dir, COUNT(*) cnt FROM notes
    WHERE `time`>'" . $ftime . "' GROUP BY id_dir) n2 
ON nd.id=n2.id_dir    
ORDER BY newNotes DESC, nd.id DESC
LIMIT " . $start . ", " . $set['p_str']
) or die(mysql_error());

while ($post = mysql_fetch_assoc($q))
{
    if (isset($_GET['del']) && $_GET['del'] == $post['id'] && isset($user) && $notes_delete){
?>
<div class="err">Внимание! Будут удалены все записи в категории!</div>
    <ul class="gorisontal">
        <li><a href="delete.php?dir=<?php echo $post['id'];?>&amp;ok=ok">Удалить</a>
        <li><a href="dir.php">Отменить</a></li>
</ul>
<?php
        } else {
?>
<div class="menu_s"><?php

    if (isset($user) && $notes_delete)
    {
        if (!isset($_GET['del'])) {
?><span class="dt"><a href="?del=<?php echo $post['id'];?>"><img src="/style/icons/delete.gif" alt="*"/></a></span><?php
        } 
    }
   
    $allNotes = $post['allNotes'];
    $newNotes = $post['newNotes'];
    if ($newNotes > 0) {
        $newNotes = '<span style="color:red;">+' . $newNotes . '</span>';
    } else {
        $newNotes = null;
    }
?><a href="dir.php?id=<?php echo $post['id'];?>"><img src="/style/themes/<?php echo $set['set_them'];?>/loads/14/dir.png" alt="*"/>&nbsp;<?php 
    echo output_text($post['name']); ?>&nbsp;(<?php echo $allNotes; echo $newNotes;?>) </a>
</div>
<div class="p_m">
    <div class="content"><div id="triangle-up"></div>
        <?php echo output_text($post['msg']);?>
    </div>
</div>
<?php
}
}
    if ($k_page > 1) {
        str('?', $k_page, $page);
    }
}


if (isset($user) && $notes_edit)
{
    if (!isset($_GET['create']) && empty($_GET['create'])) {
        $class = 'half';
        } else {
            $class = 'p_m';
        }
    if (isset($_GET['create']))
    {
?>
<div class="p_m">
<form method="post" action="dir.php">
    <fieldset>
        <legend><?php echo lang::show('Новая категория');?></legend>
        <label><?php echo lang::show('Название');?>:</label>
        <p><input name="title" size="16" maxlength="32" value="" type="text" />
        <p><label><?php echo lang::show('Описание');?>:</label>
        <p><textarea name="msg" ></textarea>
        <p><input value="<?php echo lang::show('Создать');?>" type="submit" />
<script type="text/javascript">
    document.write('<input type="button" value="Отмена" onClick=\'location.href="?"\'/>');
</script>
        <noscript><span class="button"><a href="?">Отмена</a></span></noscript></p>
    </fieldset>
</form>
</div>
<?php

    } 
?>
<div class="<?php echo $class;?>">
    <ul class="gorisontal">
<?php    
    if (!isset($_GET['create']) && empty($_GET['create']))
    {
?>
        <li class="msg-li"><a href="dir.php?create"><?php echo lang::show('Добавить категорию');?></a></li>
<?php
    }
//}
?>
        <li class="msg-li"><a href="user.php"><?php echo lang::show('Мои дневники'); // TODO: My diaries ?></a></li>
    </ul>
</div>
<?php
}
include_once H . 'sys/inc/tfoot.php';

?>
