<?php

/**
 * @author PHP
 * @copyright 2016
 * @version 1.0.1
 * @name notes(заметки)
 */
if (!defined('H')) {
    define('H', $_SERVER['DOCUMENT_ROOT'] . '/');
}
include_once H . 'sys/inc/start.php';
include_once H . 'sys/inc/sess.php';
include_once H . 'sys/inc/settings.php';
include_once H . 'sys/inc/db_connect.php';
include_once H . 'sys/inc/ipua.php';
include_once H . 'sys/inc/fnc.php';
include_once H . 'sys/inc/adm_check.php';
include_once H . 'sys/inc/user.php';

user_access('modules_install', null, '/err.php?err=403');

adm_check();

$file_name     = H . 'sys/lang/en/default.ini';
$file_new = __DIR__.'/inc/notes.ini';

include_once H . 'sys/inc/thead.php';

if (!is_file($file_name))
{
    die('<div class="err">Отсутствует файл ' . $file_name . '</div>');;
}
    
if (is_file($file_new))
{
    $file = file($file_new);
    $file_new_name = implode('<br />', $file);
} else {
    die('<div class="err">Отсутствует файл ' . $file_new_name . '</div>');
}
if (is_writable($file_name)) {

    if (!$handle = fopen($file_name, 'a')) {
        echo '<div class="err">Не возможно открыть файл (' . $file_name . ')</div>';
        exit;
    }

    if (fwrite($handle, $file_new_name) === false) {
        echo '<div class="err">Не возможно произвести запись в файл (' . $file_name . ')</div>';
        exit;
    }
    
    echo '<div class="p_m"><p>Добавлены записи</p>' . $file_new_name . '<p>в файл (' . $file_name . ')</p></div>';
    echo '<div class="menu_s"><a href="?index.php">В заметки</a></div>';
    fclose($handle);
    sleep(1);
    unlink($file_new);
    unlink('fopen.php');

} else {
    echo '<div class="err">Файл ' . $file_name . ' недоступен для записи</div>';
}

include_once H . 'sys/inc/tfoot.php';

?>
